Package org.eclipse.m2m.atl.adt.ui.preferences

## Class ProfileManager.KeySet

- java.lang.Object
- - org.eclipse.m2m.atl.adt.ui.preferences.ProfileManager.KeySet

Enclosing class:
  ProfileManager

    public static final class ProfileManager.KeySet
    extends java.lang.Object

### Constructor Summary

Constructors
`KeySet​(java.lang.String nodeName, java.util.List<java.lang.String> keys)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<java.lang.String>` `getKeys()`
`java.lang.String` `getNodeName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KeySet

    public KeySet​(java.lang.String nodeName,
                  java.util.List<java.lang.String> keys)

### Method Detail

#### getNodeName

    public java.lang.String getNodeName()

#### getKeys

    public java.util.List<java.lang.String> getKeys()